### Struct

# Rest Params

unstable since: 1.0

#### Description

    struct RestParams {
      /* No available fields */
    }

No description available.

Available since: 1.0

#### Constructors

###### rest_params_new

Create a new `RestParams`.

unstable since: 1.0

#### Instance methods

###### rest_params_add

Add `param` to `params`.

unstable since: 1.0

###### rest_params_are_strings

Checks if the parameters are all simple strings (have a content type of “text/plain”).

unstable since: 1.0

###### rest_params_as_string_hash_table

Create a new `GHashTable` which contains the name and value of all string (content type of text/plain) parameters.

unstable since: 1.0

###### rest_params_copy

Makes a deep copy of a `RestParams`.

unstable since: 1.0

###### rest_params_get

Return the `RestParam` called `name`, or `NULL` if it doesn’t exist.

unstable since: 1.0

###### rest_params_ref

Increments the reference count of `self` by one.

unstable since: 1.0

###### rest_params_remove

Remove the `RestParam` called `name`.

unstable since: 1.0

###### rest_params_unref

Decrements the reference count of `self` by one, freeing the structure when the reference count reaches zero.

unstable since: 1.0